"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.provider = exports.getAuthData = void 0;
/**
 * 腾讯会议
 * https://lbs.qq.com/service/webService/webServiceGuide/webServiceOverview
 */
const utils_1 = require("./utils");
const utils_2 = require("../../utils");
async function getAuthData(dsId) {
    const dsToken = await utils_1.getToken(dsId);
    const authInfo = dsToken === null || dsToken === void 0 ? void 0 : dsToken.QQMapToken;
    if (!authInfo || !authInfo.Key) {
        throw new utils_2.TCBError('FnError.HTTP.TokenNotAvailable', `无法获取数据源${dsId}对应的腾讯地图Token信息`);
    }
    return {
        authInfo,
        qs: { key: authInfo.Key },
    };
}
exports.getAuthData = getAuthData;
exports.provider = {
    getAuthData,
};
